Send customer sign-in code
Starts email verification when the store enables its own login form. The challenge is bound to the validated OAuth authorization request, store and browser key. The selected CAPTCHA and existing send limits apply.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/json
application/problem+json
curl -X POST "https://auth.ecomiq.pe/v1/customer-auth/challenges" \ -H "Content-Type: application/json" \ -d '{ "returnUrl": "/connect/authorize?client_id=ecomiq-customer-7204558912004325301&redirect_uri=https%3A%2F%2Fshop.example.com%2Faccount%2Fcallback&response_type=code&scope=openid%20profile%20email%20api_storefront%20offline_access&code_challenge=E9Melhoa2OwvFrEMTJguCHaoeK1t8URWbuGJSstw-cM&code_challenge_method=S256&state=example-state&nonce=example-nonce", "browserKey": "dBjftJeZ4CVP-mB92K27uhbUJU1p1r_wW1gFWFOEjXk", "email": "andrea.ramos@example.com", "captchaToken": null }'{ "challengeId": "QzfxDdhiJGQje1Ghb31m-_AF-IHjvfkMj23gMyJRZtY"}